Fonctionnalité non incluse dans l’offre

Moses SkodaIngénieur1 min de lecture

L’API renvoie 402 Payment Required avec cette erreur. Son type est https://lingo.dev/docs/api/errors/plan-feature-required. Consultez Erreurs et codes de statut pour connaître la structure commune à toutes les erreurs.

L’offre de l’organisation <organizationId> n’inclut pas ReBAC. Passez à une offre supérieure pour l’activer.

Champs#

En plus des membres standard type, status, title et detail, le corps contient les champs suivants. Le texte de detail est généré à partir de ces champs : un client peut donc afficher son propre texte à la place.

ChampType
organizationIdstring
features("rebac" | "audit_logs" | "reports" | "human_review" | "internal_review" | "builtin_ai_reviewers" | "pre_edit" | "rephrase" | "back_translation" | "content_length" | "localization_jobs" | "github_integration" | "jira_integration" | "payload_integration" | "zendesk_integration" | "byok" | "sso")[]

Exemple#

json
{
  "detail": "The plan of organization <organizationId> does not include rebac. Upgrade the plan to turn them on.",
  "organizationId": "<organizationId>",
  "features": [
    "rebac"
  ],
  "type": "https://lingo.dev/docs/api/errors/plan-feature-required",
  "status": 402,
  "title": "Feature not in plan"
}

Renvoyée par#

  • DELETE /v2/reports/{id}
  • GET /v2/organizations/{orgId}/analytics/models
  • GET /v2/organizations/{orgId}/audit-events
  • GET /v2/organizations/{orgId}/audit-events/{eventId}
  • GET /v2/organizations/{orgId}/reports
  • GET /v2/reports/{id}
  • PATCH /v2/engines/{id}
  • PATCH /v2/organizations/{orgId}/provider-keys/{provider}
  • PATCH /v2/organizations/{orgId}/sso
  • PATCH /v2/reports/{id}
  • POST /v2/organizations/{orgId}/analytics/event-properties
  • POST /v2/organizations/{orgId}/analytics/event-property-keys
  • POST /v2/organizations/{orgId}/analytics/events
  • POST /v2/organizations/{orgId}/analytics/events-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-answers
  • POST /v2/organizations/{orgId}/analytics/measurement-answers-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-fields
  • POST /v2/organizations/{orgId}/analytics/measurement-scores
  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs
  • POST /v2/organizations/{orgId}/reports
  • POST /v2/organizations/{orgId}/service-api-keys/scim
  • PUT /v2/organizations/{orgId}/provider-keys/{provider}
  • PUT /v2/organizations/{orgId}/sso